# Dry run This operation will perform a dry run of a batch which calculates the bodies and number of parts for all messages in the batch without actually sending any messages. Endpoint: POST /xms/v1/{service_plan_id}/batches/dry_run Version: v1 Security: BearerAuth ## Path parameters: - `service_plan_id` (string, required) Your service plan ID. You can find this on your Dashboard. Example: "jd63jf88477ll123ab4567cd89012ef3" ## Query parameters: - `per_recipient` (boolean) Whether to include per recipient details in the response Example: true - `number_of_recipients` (integer) Max number of recipients to include per recipient details for in the response Example: 500 ## Response 200 fields (application/json): - `number_of_messages` (integer, required) The total number of SMS message parts to be sent in the batch - `number_of_recipients` (integer, required) The number of recipients in the batch - `per_recipient` (array) - `per_recipient.body` (string, required) - `per_recipient.encoding` (string, required) Enum: "text", "unicode" - `per_recipient.number_of_parts` (integer, required) - `per_recipient.recipient` (string, required) Sender number. Required if Automatic Default Originator not configured. Example: "+15551231234" ## Response 400 fields (application/json): - `code` (string) The error code. See [error codes](https://developers.sinch.com/docs/sms/api-reference/status-codes/). - `text` (string) The human readable description of the error.